<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: ListStyle Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>cpp20print</b></li><li class="navelem"><b>printing</b></li><li class="navelem"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">ListStyle Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Holds formatting information for lists.  
 <a href="structcpp20print_1_1printing_1_1ListStyle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="print__options_8h_source.html">print_options.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ListStyle:</div>
<div class="dyncontent">
<div class="center"><img src="structcpp20print_1_1printing_1_1ListStyle__coll__graph.png" border="0" usemap="#ListStyle_coll__map" alt="Collaboration graph"/></div>
<map name="ListStyle_coll__map" id="ListStyle_coll__map">
<area shape="rect" title="Holds formatting information for lists." alt="" coords="53,171,132,197"/>
<area shape="rect" title=" " alt="" coords="5,260,180,301"/>
<area shape="rect" title="STL class." alt="" coords="63,81,122,108"/>
<area shape="rect" title="STL class." alt="" coords="13,5,172,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a55c457193f9a8730ea343e39084f992d"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">delimiters</a> {&quot;[&quot;, &quot;]&quot;}</td></tr>
<tr class="memdesc:a55c457193f9a8730ea343e39084f992d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the symbols that are printed at the beginning and end of the list.  <a href="structcpp20print_1_1printing_1_1ListStyle.html#a55c457193f9a8730ea343e39084f992d">More...</a><br /></td></tr>
<tr class="separator:a55c457193f9a8730ea343e39084f992d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html#ad6abfeabd9d43b6bc40c801ee9f8c447">seperator</a> {&quot;, &quot;}</td></tr>
<tr class="memdesc:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the symbol that seperates list items.  <a href="structcpp20print_1_1printing_1_1ListStyle.html#ad6abfeabd9d43b6bc40c801ee9f8c447">More...</a><br /></td></tr>
<tr class="separator:ad6abfeabd9d43b6bc40c801ee9f8c447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a480ee9f0fe2a42757a56599c740979f4"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html#a480ee9f0fe2a42757a56599c740979f4">maxElementsPrinted</a> {5}</td></tr>
<tr class="memdesc:a480ee9f0fe2a42757a56599c740979f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the maximum number of items before the list will be truncated.  <a href="structcpp20print_1_1printing_1_1ListStyle.html#a480ee9f0fe2a42757a56599c740979f4">More...</a><br /></td></tr>
<tr class="separator:a480ee9f0fe2a42757a56599c740979f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e15624236c065287fa2116dab918cd2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html#a0e15624236c065287fa2116dab918cd2">expand</a> {false}</td></tr>
<tr class="memdesc:a0e15624236c065287fa2116dab918cd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">If true lists won't be truncated.  <a href="structcpp20print_1_1printing_1_1ListStyle.html#a0e15624236c065287fa2116dab918cd2">More...</a><br /></td></tr>
<tr class="separator:a0e15624236c065287fa2116dab918cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f9e813f3c8489c4aa31c5e1bb5d371d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html#a8f9e813f3c8489c4aa31c5e1bb5d371d">subListStyle</a> {nullptr}</td></tr>
<tr class="memdesc:a8f9e813f3c8489c4aa31c5e1bb5d371d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Optionally defines the style for nested lists, if different.  <a href="structcpp20print_1_1printing_1_1ListStyle.html#a8f9e813f3c8489c4aa31c5e1bb5d371d">More...</a><br /></td></tr>
<tr class="separator:a8f9e813f3c8489c4aa31c5e1bb5d371d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Holds formatting information for lists. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a55c457193f9a8730ea343e39084f992d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55c457193f9a8730ea343e39084f992d">&#9670;&nbsp;</a></span>delimiters</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::string, std::string&gt; delimiters {&quot;[&quot;, &quot;]&quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the symbols that are printed at the beginning and end of the list. </p>

</div>
</div>
<a id="a0e15624236c065287fa2116dab918cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e15624236c065287fa2116dab918cd2">&#9670;&nbsp;</a></span>expand</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool expand {false}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If true lists won't be truncated. </p>

</div>
</div>
<a id="a480ee9f0fe2a42757a56599c740979f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a480ee9f0fe2a42757a56599c740979f4">&#9670;&nbsp;</a></span>maxElementsPrinted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t maxElementsPrinted {5}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the maximum number of items before the list will be truncated. </p>

</div>
</div>
<a id="ad6abfeabd9d43b6bc40c801ee9f8c447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6abfeabd9d43b6bc40c801ee9f8c447">&#9670;&nbsp;</a></span>seperator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string seperator {&quot;, &quot;}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Defines the symbol that seperates list items. </p>

</div>
</div>
<a id="a8f9e813f3c8489c4aa31c5e1bb5d371d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f9e813f3c8489c4aa31c5e1bb5d371d">&#9670;&nbsp;</a></span>subListStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structcpp20print_1_1printing_1_1ListStyle.html">ListStyle</a>&gt; subListStyle {nullptr}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Optionally defines the style for nested lists, if different. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="print__options_8h_source.html">print_options.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
